Subject: RFC 5378 question

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Wed, 14 Jan 2009 17:54:25 +0100

Various RFCs define templates that are intended to be used in other documents (and in internet-drafts) for specifying a particular instance of that usage. Particular examples I can think of off the top of my head are RFC 3265 (SIP event packages) and RFC 3406 (URN definitions). Note that for most of these we have RFCs that say the template MUST be used.

1)	Do authors of any drafts using these templates need to obtain permission of the original RFC authors to use these templates under the new rules, or does the reproduction constitute "fair use" and therefore they can simply be used?

2)	If permission needs to be obtained, is anyone identifying these and constructing some sort of database so that we know permission has already been given, rather than bombarding the authors with requests?

regards

Keith

---

From: "Randy Presuhn" <[email-masked]>
Date: Wed, 14 Jan 2009 12:07:32 -0800

Hi -

> From: "DRAGE, Keith (Keith)" <[email-masked]>
> To: <[email-masked]>
> Sent: Wednesday, January 14, 2009 8:54 AM
> Subject: RFC 5378 question
...
>  Note that for most of these we have RFCs that say the template MUST be used.

A similar situation exists for lots of quasi-boilerplate material for
I-Ds / RFCs containing MIB modules, as well as lots of "standard verbiage"
that has traditionally be used, albeit with slight changes over the years.
I asked the question a while ago, and haven't received any
useful guidance.  I think the answers would be the same as for
Keith's questions.

Randy

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Fri, 16 Jan 2009 16:14:15 +0100

Having thought about this further, this seems to be not just an RFC 5378 issue, it just still exists under that RFC.

It looks to me like if I want to take any text from one RFC and use it in another RFC, I need the permission of the original authors, because the authors have only assigned (even originally to the Internet Society) permission to use the text in that RFC. Am I correct? This applies even for bis versions.

Therefore presumably any document that provides a template of text for use in any other RFC automatically has a problem if at some point in the future, the author refuses permission.

I know that ISO, within the standards for implementation conformance states, automatically gave a proforma copyright release for use in these circumstances. Perhaps we should consider drafting standard text that provides such a release for all text in an RFC where we expect that text to be used in another RFC. Authors should then include this text for RFCs defining proforma template.

regards

Keith

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of DRAGE, Keith (Keith)
> Sent: Wednesday, January 14, 2009 4:54 PM
> To: [email-masked]
> Various RFCs define templates that are intended to be used in 
> other documents (and in internet-drafts) for specifying a 
> particular instance of that usage. Particular examples I can 
> think of off the top of my head are RFC 3265 (SIP event 
> packages) and RFC 3406 (URN definitions). Note that for most 
> of these we have RFCs that say the template MUST be used.
> 
> 1)	Do authors of any drafts using these templates need to 
> obtain permission of the original RFC authors to use these 
> templates under the new rules, or does the reproduction 
> constitute "fair use" and therefore they can simply be used?
> 
> 2)	If permission needs to be obtained, is anyone 
> identifying these and constructing some sort of database so 
> that we know permission has already been given, rather than 
> bombarding the authors with requests?
> 
> regards
> 
> Keith

---

From: [email-masked]
Date: Fri, 16 Jan 2009 14:08:43 -0500

Keith,

> Having thought about this further, this seems to be not just 
> an RFC 5378 issue, it just still exists under that RFC.
> 
> It looks to me like if I want to take any text from one RFC 
> and use it in another RFC, I need the permission of the 
> original authors, because the authors have only assigned 
> (even originally to the Internet Society) permission to use 
> the text in that RFC. Am I correct? This applies even for bis 
> versions.

I'm fairly certain that you're incorrect because the "derivative
works" permissions cover this (and did in prior RFCs), as long
as both the old and new RFCs are published under the same framework.
Please consult a legal reference or authority rather than discussing
what "derivative works" means on this list, as that term has a well-
established legal meaning.

One source of the problem that is arising is that if the existing
RFC was published under the old (3978/4748) framework, the ability
to produce "derivative works" under that framework does not include
all the rights that the 5378 framework requires.

Thanks,
--David (I am not a lawyer, this message does not contain legal advice)
----------------------------------------------------
David L. Black, Distinguished Engineer
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

---

From: Russ Housley <[email-masked]>
Date: Fri, 16 Jan 2009 17:23:21 -0500

Keith:

>It looks to me like if I want to take any text from one RFC and use 
>it in another RFC, I need the permission of the original authors, 
>because the authors have only assigned (even originally to the 
>Internet Society) permission to use the text in that RFC. Am I 
>correct? This applies even for bis versions.

Under RFC 5379 and under the previous IPR policies, going back to at 
least RFC 2026,  the contributor gives rights for the contribution to 
be used in the IETF standards process.

Russ